package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type ConfigRepository struct {
	*db.Repository[entities.Config]
}

// NewConfigRepository 创建配置仓库
func NewConfigRepository(orm *gorm.DB) *ConfigRepository {
	return &ConfigRepository{
        db.NewRepositoryWith[entities.Config](orm, "id"),
    }
}

