package repositories

import (
	"sorbet/pkg/ioc"
)

func Init() {
	ioc.MustFactory(NewCompanyRepository)
	ioc.MustFactory(NewCompanyDepartmentRepository)
	ioc.MustFactory(NewCompanyStaffRepository)
	ioc.MustFactory(NewConfigRepository)
	ioc.MustFactory(NewConfigGroupRepository)
	ioc.MustFactory(NewFeatureRepository)
	ioc.MustFactory(NewFeatureCategoryRepository)
	ioc.MustFactory(NewFeatureConfigRepository)
	ioc.MustFactory(NewFeatureContentRepository)
	ioc.MustFactory(NewFeatureContentChapterRepository)
	ioc.MustFactory(NewFeatureContentDetailRepository)
	ioc.MustFactory(NewResourceRepository)
	ioc.MustFactory(NewResourceCategoryRepository)
	ioc.MustFactory(NewSystemLogRepository)
	ioc.MustFactory(NewSystemMenuRepository)
	ioc.MustFactory(NewSystemPermissionRepository)
	ioc.MustFactory(NewSystemRoleRepository)
	ioc.MustFactory(NewSystemRolePowerRepository)
	ioc.MustFactory(NewSystemUserRepository)
}
