package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemMenuRepository struct {
	*db.Repository[entities.SystemMenu]
}

// NewSystemMenuRepository 创建系统菜单仓库
func NewSystemMenuRepository(orm *gorm.DB) *SystemMenuRepository {
	return &SystemMenuRepository{
        db.NewRepositoryWith[entities.SystemMenu](orm, "id"),
    }
}

