package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type CompanyRepository struct {
	*db.Repository[entities.Company]
}

// NewCompanyRepository 创建公司仓库
func NewCompanyRepository(orm *gorm.DB) *CompanyRepository {
	return &CompanyRepository{
        db.NewRepositoryWith[entities.Company](orm, "id"),
    }
}

