package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type ResourceCategoryRepository struct {
	*db.Repository[entities.ResourceCategory]
}

// NewResourceCategoryRepository 创建资源分类仓库
func NewResourceCategoryRepository(orm *gorm.DB) *ResourceCategoryRepository {
	return &ResourceCategoryRepository{
        db.NewRepositoryWith[entities.ResourceCategory](orm, "id"),
    }
}

