package app

import "github.com/labstack/echo/v4"

type echoContext struct {
	echo.Context
	ctx *Context
}

func (e *echoContext) Get(key string) any {
	if val, ok := e.ctx.Get(key); ok && val != nil {
		return val
	}
	return e.Context.Get(key)
}
